#include "IoState.h"
#include "IoObject.h"

IoObject *IoZlibEncoder_proto(void *state);
IoObject *IoZlibDecoder_proto(void *state);

void IoZlibInit(IoObject *context)
{
	IoState *self = IoObject_state((IoObject *)context);

	IoObject_setSlot_to_(context, SIOSYMBOL("ZlibEncoder"), IoZlibEncoder_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("ZlibDecoder"), IoZlibDecoder_proto(self));

}
